Server Call estimate endpoint

The Server Call estimate endpoint calculates the number of Server Calls for the given Report Suite and date range provided. It also returns a validationToken, which is required to use the Job endpoint.

This endpoint requires two query string parameters:

The date range is based on the time zone of the Report Suite.

GET https://analytics.adobe.io/api/{GLOBALCOMPANYID}/datarepair/v1/{RSID}/serverCallEstimate?dateRangeStart={YYYY-MM-DD}&dateRangeEnd={YYYY-MM-DD}

data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON

Request

curl -X GET "https://analytics.adobe.io/api/{GLOBALCOMPANYID}/datarepair/v1/examplersid/serverCallEstimate?dateRangeStart={YYYY-03-28}&dateRangeEnd={YYYY-03-29}" \
    -H "Authorization: Bearer {ACCESS_TOKEN}" \
    -H "x-api-key: {API_KEY/CLIENT_ID}"

Response

{
    "dateRangeEnd": "YYYY-03-28",
    "dateRangeStart": "YYYY-03-29",
    "reportSuiteId": "examplersid",
    "serverCallEstimate": 150000,
    "validationToken": "gAAAAABee777APCKafp7zDu-I3kFIEq_4AoeZSIap8wt0RhhNHmVdjnlrKCjPOo_PW74uj0qvDPG9B_SiYOe4p1Rg6Um1vCpL7dLwtkBX7i8wNheVPhb2j4nAapE-k6WPVcdP7FXNdjKvogMwHBEvGpAz6uO6TmpxwZUa3LMixaeN65BOFZW3i9ZnzZ400oCHte6XAX6Mo7QF-PyZZ6D--693K0cO_oUYg=="
}

Once you receive a validationToken, you can start formulating the call to make to the Data Repair API. See Job definition reference to establish the desired data repair job variables, actions, and filters.